Bug Hunting Session
Bug 90504 - 0x7 chars in .doc are not always cell/row ends
Summary: 0x7 chars in .doc are not always cell/row ends
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.0.0 target:5.1.0 target:5.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-07 20:07 UTC by Caolán McNamara
Modified: 2018-08-30 13:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
demo (31.00 KB, application/vnd.ms-word)
2015-04-07 20:07 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2015-04-07 20:07:05 UTC
Created attachment 114676 [details]
demo

They must appear at the end of a paragraph to be cell/row ends, which is why fdo65094-2.doc fails to load. Here I attach a good standalone demo extracted and exaggerated from that.
Comment 1 Commit Notification 2015-04-07 20:10:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b7fff04ad728369a09a5e1a5cfbe494cf388317b

Resolves: tdf#90504 0x7 chars in .doc are not always cell/row ends

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-10-12 20:41:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=959ac511dbebeb3983da92052ced837b39b74ed9

fix tdf#94818 while retaining the tdf#90504 fix

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-10-14 09:27:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=00316aa39b558869544bdb08d2f5d9d63eb6718e&h=libreoffice-5-0

fix tdf#94818 while retaining the tdf#90504 fix

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-11-09 14:12:32 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dad32b63f852716af94cf995696b62b6e60724bd

Revert "fix tdf#94818 while retaining the tdf#90504 fix"

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-11-09 14:36:18 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8c1ed47fb9dc2e878ad5f2cf26b967cf8e09d34

Revert "Revert "fix tdf#94818 while retaining the tdf#90504 fix""

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.